<?php
/**
 * Define the path for required files for Custom Controls.
 * 
 * Loads and registers custom controls for the WordPress Customizer, 
 * enhancing theme settings and user interface.
 *
 * @package Yaatra
 */

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

// Load/Register control radio image.
require_once get_template_directory() . '/inc/customizer/custom-controls/radio-image/class-radio-image-control.php';
$wp_customize->register_control_type( 'Yaatra_Control_Radio_Image' );

// Load/Register control toggle.
require_once get_template_directory() . '/inc/customizer/custom-controls/toggle/class-toggle-control.php';
$wp_customize->register_control_type( 'Yaatra_Control_Toggle' );

// Load/Register control upgrade.
require_once get_template_directory() . '/inc/customizer/custom-controls/upgrade/class-upgrade-control.php';
$wp_customize->register_control_type( 'Yaatra_Control_Upgrade' );

// Load/Register control repeater.
require_once get_template_directory() . '/inc/customizer/custom-controls/repeater/class-repeater-control.php';

// Load/Register control heading.
require_once get_template_directory() . '/inc/customizer/custom-controls/heading/class-heading-control.php';
$wp_customize->register_control_type( 'Yaatra_Control_Heading' );

// Load/Register control heading toggle.
require_once get_template_directory() . '/inc/customizer/custom-controls/heading-toggle/class-heading-toggle-control.php';
$wp_customize->register_control_type( 'Yaatra_Control_Heading_Toggle' );

// Load/Register control tabs.
require_once get_template_directory() . '/inc/customizer/custom-controls/tabs/class-tabs-control.php';
$wp_customize->register_control_type( 'Yaatra_Control_Tabs' );

// Load/Register section upsell.
require get_template_directory(). '/inc/customizer/extend-customizer/class-upsell-section.php';
$wp_customize->register_section_type( 'Yaatra_Upsell_Section' );